/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

void cmdUTF8korr(int *argc, char ***argv) {
  int count, lg;
  char *pc, *indata, *token, **ppwc;

	count = 0;
	indata = pwctoUTF8(GetCommandLineW());
	pc = indata;
	while (pc) {
	    pc = pcGetToken(pc, &token, &lg);
	    count++;
	}

	if (*argc != count) printf("%s(%d): ERROR: (argc=%d)<>(count=%d)\n", FL, *argc, count);
	*argc = count;
	ppwc = xcalloc(sizeof(void*)*(count+1));
	*argv = ppwc;

	pc = indata;
	while (pc) {
	    pc = GetToken(pc, ppwc);
	    ppwc++;
	}
	xfree(indata);
}
