/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appXbase.h"

static void setXAttr(Tapph *apph, XSetWindowAttributes *XAttr, bool Value) {
	while (apph) {
	    if (apph->next_child) setXAttr(apph->next_child, XAttr, Value);
	    if (apph->wins) {
		if (!Value) {
		    XAttr->cursor = IappXDat.XCursors[apph->wins->cursor_nr];
		}
		XChangeWindowAttributes(IappXDat.dpy, apph->wins->WinID, 
					CWCursor, XAttr);
	    }
	    apph = apph->next;
	}
}

void appSetCursorWait(Tapph *apph, bool Value) {
  XSetWindowAttributes XAttr;

	if (IappXDat.appCursorWait == Value) return;
	IappXDat.appCursorWait = Value;
	if (Value) handle_wait_X11Event();
	if (!apph) apph = IappXDat.apph;
	Fill0(&XAttr, sizeof(XAttr));
	XAttr.cursor = IappXDat.XCursors[XC_watch];
	setXAttr(apph, &XAttr, Value);
	if (Value) handle_wait_X11Event();
}
