/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

char *vds_path_cut(TVDrawString *vds, const char *s, int max_w) {
  int z, w;
  char *pc, *pce;
  char *ret = pcdup(s);

	if (pclen(ret) < 12) return ret;
	z = 0;
	pc = ret;
	while (*pc) {
	    if (*pc == '/') z++;
	    pc++;
	}
	if (z < 1) return ret;
	if (!pcncasecmpASCII(s, "file:", 5)) ppcchange(&ret, s+5);
	if (z == 1) return ret;

	while (TextWidth(vds->Font->xfont, ret, vds->UTF8on) > max_w) {
	    pc = ret;
	    while (*pc && (*pc != '/')) pc++;
	    w = 5;
	    pce = pc;
	    while (*pce && w) {pce++; w--;}
	
	    while (*pce && (*pce != '/')) pce++;
	    if (*pce != '/') return ret;
	    pc++;
	    *pc = '.'; pc++;
	    *pc = '.'; pc++;
	    *pc = '.'; pc++;
	    while (*pce) {*pc = *pce; pc++; pce++;}
	    *pc = 0;
	}
	return ret;
}
