/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"
#include <errno.h>

bool file_unlink(const char *fn, TNetErrRet *ErrRet) {
  bool result;

#ifdef _OS_WIN32
//	word *wcf = get_pcw_filename(fn, del_path_end_slash);
//	result = 
//	xfree(wcf);
	errno = EPERM;
	result = False;
#else
	result = unlink(fn) == 0;
#endif
	if (!result && ErrRet) ErrRet->sys_errno = errno;
	return result;
}

bool file_unlink_gp(TglobPath *gp, TNetErrRet *ErrRet) {
  char *fn;
  bool result;
	fn = gptopc(gp, gptfu_del_slash|gptfu_noRootArt);
	result = file_unlink(fn, ErrRet);
	xfree(fn);
	return result;
}
