
#include "appbase.h"
#include "net_io.h"


typedef int (*ThNetLoaderTmpProc) (void);

typedef struct {
  union {
    AlgNetLoader
    ThNetLoaderTmpProc proc[4];
  } x;
} ThNetLoader4;

#define hNet_appERR 1
extern void *GetNet4_hLD(ThNetLoader4 **hLD, TglobPath *gp, int y, int fu);

void TNet_msg(TNet *self);
void TNet_msg_next(TNet *self, TFileMsg *fmsg);

void TNet_Reset(TNet *self);
void TNet_send_ioinfo(TNet *self);

extern void *TNet_Create(int TNet_size, int wtyp, TglobPath *gp);
extern bool TNet__Destroy(TNet *self);

/* ___________________ net_linebuf ______________________________________*/
#define RD_BUFSIZE 0x040000

extern TNetLineBuf *TNetFileLineBuf_Create(void *owner, TglobPath *gp);

void TNetLineBuf_sync_rd(TNetLineBuf *self);
void TNetLineBuf_sync_wr(TNetLineBuf *self);
//bool TNetLineBuf_wait(TNetLineBuf *self);
