/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#ifdef _OS_WIN32
typedef struct {
  HANDLE dh; \
  WIN32_FIND_DATAW fid; \
} T_OS_dh;
#else
typedef struct {
  DIR *dh; \
} T_OS_dh;
#endif

#define Alg_dirlist_nypv  int schr;	/* b0=scan b8=open */ \
  dword open_us; \
  T_OS_dh OS; \
  TglobPath gp; \
  bool change_akt; \
  bool nc1; \
  bool nc2; \
  bool nc3; \
  TDirFileList *tmpdfl;

extern void nypv_ChkFile(TDirListNotify *self);
extern bool nypv_OpenDir(TDirListNotify *self);
extern bool nypv_ScanDir(TDirListNotify *self);

/* tdirlist_ny_misc.c */
//extern dword INTERNAL_FUNC chk_new_stat(Tstat64 *org, Tstat64 *new);
extern dword INTERNAL_FUNC chk_new_stat_type(Tstat64 *org, Tstat64 *new);
//extern void INTERNAL_FUNC dl_copy_new_stat(Tstat64 *org, Tstat64 *new);
extern void INTERNAL_FUNC dl_copy_new_stat_type(Tstat64 *org, Tstat64 *new);
