/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/


#include "sysbase.h"

void REGPARM3_FUNC atomic_and(dword *var, dword op) {
  __asm__ __volatile__("lock; and %1, %0;"
	    	       : : "m"(*var), "r" (op));
}

void REGPARM3_FUNC atomic_or(dword *var, dword op) {
  __asm__ __volatile__("lock; or %1, %0;"
	    	       : : "m"(*var), "r" (op));
}
