/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

void ppclg_Add2_slg(char **ppc, int *pplg, char *a, int alg, char *b, int blg);

void Tlgs_free(Tlgs *lgs) {
	if (lgs) {
	    xfree(lgs->s);
	    xfree(lgs);
	}
}

void Tlgs_Clr(Tlgs *lgs) {
	if (lgs) {
	    xfree(lgs->s);
	    lgs->s = NULL;
	    lgs->lg = 0;
	}
}

void Tlgs_Set(Tlgs *lgs, char *s) {
	if (lgs) {
	    ppcchange(&lgs->s, s);
	    lgs->lg = pclen(s);
	}
}

void Tlgs_Add(Tlgs *lgs, Tlgs *lgs_add) {
	if (lgs && lgs_add) {
	    ppclg_Add2_slg(&lgs->s, &lgs->lg, lgs_add->s, lgs_add->lg, NULL, 0);
	}
}

void Tlgs_Add_s(Tlgs *lgs, char *s, int lg) {
	if (lgs) ppclg_Add2_slg(&lgs->s, &lgs->lg, s, lg, NULL, 0);
}

