/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "appXbase.h"
#include <alsa/asoundlib.h>

typedef char Tmixer_item_name[24];

typedef struct {
  AlgTWins
  AlgTForm

  int mixer_changed_state;
  char	*mixer_sid;
  int	sid_size;
  int	mixer_n_selems;
  int	mixer_n_elems;
  int	*mixer_grpidx;
  int	*mixer_type;
  Tmixer_item_name *mixer_item_name;

  char	 *card_id;
  snd_mixer_t *mixer_handle;
  char	 mixer_card_name[128];
  char	 mixer_device_name[128];
  int	 mixer_level;
  struct snd_mixer_selem_regopt mixer_options;
  struct pollfd *fds;
  snd_ctl_card_info_t *hw_info;

} TMainForm;


