/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "aldesk.h"

void REGPARM3_FUNC pcmove_directory(char *pc) {
	pcmove(pc, "/.directory");
}

void REGPARM3_FUNC pcmove_desktop(char *pc, char *name) {
	*pc = '/'; pc++;
	ppcmove(&pc, name);
	pcmove(pc, ".desktop");
}

void Menu_OnMenuOpen(TMenu *self) {
	XGrabKeyboard(IappXDat.dpy, IappXDat.RootW, False, 
		GrabModeAsync, GrabModeAsync, CurrentTime);
 Debug_msg(0, "Menu_OnMenuOpen\n");
}

void Menu_OnMenuClose(TMenu *self, int stat) {
	XUngrabKeyboard(IappXDat.dpy, CurrentTime);
 Debug_msg(0, "Menu_OnMenuClose 0x%02x\n", stat);
}
