/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "aldfile.h"
#include "cicons.h"

/* ______________________ File Ev ____________________________________ */
static void mFile_SaveSize(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *mf = (TMainForm*)self->ParentForm;

	IappDat.appIni = TpcIni_Create(IappDat.inifile_app);
	TpcIni_WR_int(IappDat.appIni, APPNAME, "Width", mf->width);
	TpcIni_WR_int(IappDat.appIni, APPNAME, "Height", mf->height);
	TpcIni_WR_int(IappDat.appIni, APPNAME, "SideBarWidth", mf->tv->pw->width);

	TFileWin_ini_WR_ColD(mf->fw, IappDat.appIni, APPNAME);
	TpcIni_SaveAndFree(IappDat.appIni);
	IappDat.appIni = NULL;
}

static void mFile_Exit(TMenu *self, long KeyState, TMenuItem *smi) {
  Close();
}


/* ______________________ Create _____________________________________ */
void MenuFile_Create(TMainForm *self) {
  TMenuItem *mi;

	self->mbFile = TMenuButton_CreateS(self->pnlTop, (TMenuButton*)self, "File");

	self->menuFile = TMenu_Create((TWins*)self);
	self->mbFile->menu = self->menuFile;
	mi = TMenu_AddItem(self->menuFile, "Save size", 0, mFile_SaveSize);
	mi->pic = get_pic16_filesave(False);
	TMenu_AddItem(self->menuFile, "-", 0, NULL);
	mi = TMenu_AddItem(self->menuFile, "Exit", 0, mFile_Exit);
	mi->pic = GetZIcon(zico16exit);
}
