/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#define USE_AH_TTY	1

#include "appbase.h"
#include "net_io.h"
#include "ftp_io.h"
#include "xtty.h"

typedef struct TALDftp {
  int wtyp;
  TFtp *ftp;
  int sch_open;
  int sch_bef;
  u64 mk_us;
  u64 DataSize;
  int limDownLoad;
  int limUpLoad;
  bool AzTransf, ReplyBufAkt, any_cmd, nc3;
  char *CmdBef_B;
  void (*DoFtpBefEnd)(struct TALDftp*, int sch);
  Ttty *tty;
  TLineBuf dataInBuf;
  TLineBuf noTTY_InBuf;
} TALDftp;

void aldftp_InputStop(TALDftp *aftp, bool value);

#define ahsFtp_OK		0xfffff
#define ahs_SetType		0x00001
#define ahs_initconn		0x00002

#define ahsopen_start		0x10100
#define ahsopen_user		0x10200
#define ahsopen_passwd		0x10300
#define ahsopen_stat		0x10400
#define ahsopen_end		0x10500

#define ahsLs_SetType		0x21100
#define ahsLs_initconn		0x21200
#define ahsLs_list		0x21300
#define ahsLs_end		0x21400


#define ahsGet_SetType		0x31100
#define ahsGet_initconn		0x31200
#define ahsGet_open		0x31300
#define ahsGet_end		0x31400

