/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

bool dotdesktop_get_head(TpcIni *ini, TDesktopHead *ddkh) {

	if (!ini || !ini->Exist) return False;
	if (ddkh) {
	    ddkh->type = TpcIni_RD(ini, Desktop_Entry, "Type");
	    ddkh->name = TpcIni_RD(ini, Desktop_Entry, "Name");
	    ddkh->icon = TpcIni_RD(ini, Desktop_Entry, "Icon");
	    ddkh->exec = TpcIni_RD(ini, Desktop_Entry, "Exec");
	    ddkh->tryexec = TpcIni_RD(ini, Desktop_Entry, "TryExec");

	    ddkh->ddkt = dotdesktop_get_ddkt(ddkh->type);
	}
	return True;
}
