/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

#define GrabPointer_Mask0  ButtonPressMask | ButtonReleaseMask | ButtonMotionMask | PointerMotionMask | EnterWindowMask | LeaveWindowMask

void Std_GrabPointer(TWins *gw, Cursor GrabCursor) {
	if (IappXDat.GrabWin == gw) return;
	if (IappXDat.GrabWin) Std_UngrabPointer();
#ifndef USE_NANO_X
	if (gw) XGrabPointer(IappXDat.dpy, gw->WinID, 1, GrabPointer_Mask0, GrabModeAsync, GrabModeAsync, IappXDat.RootW, GrabCursor, 0);
#endif /* USE_NANO_X */
	IappXDat.GrabWin = gw;
}

void Std_UngrabPointer() {
	if (IappXDat.GrabWin) {
#ifndef USE_NANO_X
	    XUngrabPointer(IappXDat.dpy, 0);
#endif /* USE_NANO_X */
	    IappXDat.GrabWin = NULL;
	    XFlush(IappXDat.dpy);
	}
}
