/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

void Set_Icon_gcv(TPic *pic, long gcm, int x, int y) {
  XGCValues *Icon_gcv = &IappXDat.Icon_gcv;

	if (Icon_gcv->clip_mask != pic->mask) {
	  Icon_gcv->clip_mask = pic->mask;
	  gcm |= GCClipMask;
	}
	if ((Icon_gcv->clip_x_origin != x) || (Icon_gcv->clip_y_origin != y)) {
	  Icon_gcv->clip_x_origin = x;
	  Icon_gcv->clip_y_origin = y;
	  gcm |= (GCClipXOrigin | GCClipYOrigin);
	}
	if (gcm) ChangeGC(IappXDat.IconGC, gcm, Icon_gcv);
}

void DrawPic_wh(Window WinID, TPic *pic, int picx, int pixy, int width, int height, int x, int y) {
  if (!pic) return;
  Set_Icon_gcv(pic, 0, x, y);
  if (width > pic->width) width = pic->width;
  if (height > pic->height) height = pic->height;
  XCopyArea (IappXDat.dpy, (Drawable)pic->pic, WinID, IappXDat.IconGC, picx, pixy, width, height, x, y);
}

void DrawPic(Window WinID, TPic *pic, int x, int y) {
  if (!pic || !pic->pic) return;
  Set_Icon_gcv(pic, 0, x, y);
  XCopyArea (IappXDat.dpy, (Drawable)pic->pic, WinID, IappXDat.IconGC, 0, 0, pic->width, pic->height, x, y);
}
