/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include <pthread.h>

static pthread_mutex_t loc_mutex;
static bool isInit;

void appMutex_init() {
	if (isInit) return;
	isInit = True;
	pthread_mutex_init(&loc_mutex, NULL);
	FappMutex = &loc_mutex;
	FappMutex_lock = pthread_mutex_lock;
	FappMutex_unlock = pthread_mutex_unlock;
}
