/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appbase.h"

void REGPARM3_FUNC fd_set_count(int fd) {
  int k;

	if ((fd > FD_SETSIZE) || (fd < 0)) {
	    appError(EMSG_ERR_EXIT, "%s(%d): fd=%d (Max=%d)", FL, fd, FD_SETSIZE);
	}

	k = ((fd >> 5)+1) * 32;
	if (k > IappDat.fd_set_count) {
	    IappDat.fd_list = xrecalloc(IappDat.fd_list, sizeof(Tfd_list)*k, sizeof(Tfd_list)*IappDat.fd_set_count);
	    IappDat.fd_set_count = k;
	}

}
