/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

char *GetFileName_pc(const char *fn) {
  const char *pce;

	if (!fn) return NULL;
	pce = fn;
	while (*fn) {
	    if (TestSlash(*fn)) pce = fn+1;
	    fn++;
	}
	return (char*)pce;
}

char *GetFileName(const char *fn) {
	return pcdup(GetFileName_pc(fn));
}
