/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

bool gp_test_ftp(TglobPath *gp) {
	if (!gp || (gp->fu & gpi_Local)) return False;
	return (pccasecmpASCII(gp->RootArt, "ftp:") == 0) && 
		gp->URL && *gp->URL;
}

bool test_ftp(const char *fn) {
  TglobPath *gp = pctogp(fn);
  bool result = gp_test_ftp(gp);
	gpFree(gp); 
	return result; 
}
