/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

typedef struct {
  AlgTWins
  AlgTForm

  TDirFileList *dfl;
  TMime *mime;

  TPageControl *pgcProp;
  TWins *pnlBottom;

  TPage *pgProp;
    TEdit *edFile;
    TWins *lblType;
    TWins *lblTypeDat;
    TWins *lblLocat;
    TWins *lblLocatDat;
    TWins *lblLink;
    TWins *lblLinkDat;
    TWins *lblSize;
    TWins *lblSizeDat;
    TWins *lblLinkSize;
    TWins *lblLinkSizeDat;
    TWins *lblCount;
    TWins *lblCountDat;

  TPage *pgPerm;
    TChkBox *cbPerm[12];
    TWins *lblL1[4];
    TWins *lblL2[3];
    TWins *lblL3[3];
    TComboBox *cobUser;
    TComboBox *cobGroup;
    TEdit *edDate;

  TPage *pgACL;

  TPage *pgMime;
    TWins *lblMimeType;
    TWins *lblMimeTypeDat;
    char *pcMimeTypeDat;

    TWins *lblMimeMime;
    TWins *lblMimeMimeDat;
    char *pcMimeMimeDat;

    TWins *lblMimeExec;
    TWins *lblMimeExecDat;
    char *pcMimeExecDat;

    TWins *lblMimeIcon;
    TChkBox *cbMimeDefault;
    TChkBox *cbMimeMime;
    TChkBox *cbMimeApp;
    int mimestat_org;
    int mimestat;
    TPic *default_pic;
    TPic *app_pic;
    TPic *mime_pic;

  TButton *buScan;
  TButton *buStop;
  TButton *buOk;
  TButton *buCancel;

  TDirListObjNy *ObjNy;
  TglobPath *gp;

  int64 fsize, lsize;
  int DirCount, FileCount;
  dword ms_Az;

  dword org_mode;
  char *org_user;
  char *org_group;
  int uid;
  int gid;
  struct tm org_ut;
  char *org_pc_ut;

  struct tm ut;

  bool ScanStop;
  bool multi;
  bool chname;
  bool chuser;
  bool chgroup;
  bool chdate;
} TFormProperty;

extern void TFormProperty_Show(TWins *Parent, TglobPath *gp, TDirFileList *dfl, 
					TMime *mime, bool IsPath);
